LOGIN_TOKEN(8)

NAME
login_activ, login_crypto, login_snk - provide ActivCard, CRYPTOCard and SNK-004 authentication

SYNOPSIS
login_token [-s service] [-v name=value] user [class]

DESCRIPTION
The login_token program implements an X9.9 token card challenge response authentication mechanism (see login.conf(5)). It must be invoked by one of the names: login_activ, login_crypto, or login_snk.

The options are as follows:

-s service
    Specify the service. Currently only challenge, login, and response are supported.

-v name=value
    This option and its value are ignored.

login_token will look up user in the appropriate database file, depending on what name it was called as: /etc/activ.db, /etc/crypto.db, or /etc/snk.db. It then will issue a challenge, and if the user is able to correctly respond (by using the appropriate token) the user will be authenticated. The class argument is unused.

FILES

/etc/activ.db
    data base of information for the ActivCard tokens.

/etc/crypto.db
    data base of information for the CRYPTOCard tokens.

/etc/snk.db
    data base of information for the SNK-004 tokens.

DIAGNOSTICS
Diagnostic messages are logged via syslog(3) with the LOG_AUTH facility.

SEE ALSO
syslog(3), login.conf(5), tokenadm(8), tokeninit(8)

AUTHORS
Jack Flory <jpf@mig.com>